The WebIssues Client Manual
Desktop client for the WebIssues system
Home
« Compiling on Mac OS X

## Appendix B. Command Line Options

The WebIssues Client supports several command line options for overriding default paths and file locations:

`-config `FILE``

  Location of the main configuration file where program settings are stored.

`-data `DIR``

  Location of the directory where configuration files for individual servers are stored (containing column settings, filters and watches).

`-cache `DIR``

  Location of the directory where cache files are stored (including states of watched issues and cache of folder contents).

`-storage `DIR``

  Location of the directory where temporary files are stored (including attachments cache).

On Linux, the default location of the configuration file is usually `~/.config/WebIssues/WebIssues.conf`. The default location of the data directory is usually `~/.local/share/webissues` and the default location of the cache and storage directories is usually `~/.cache/webissues`. Locations of these directories can also be overridden by the `XDG_CONFIG_HOME`, `XDG_DATA_HOME` and `XDG_CACHE_HOME` environment variables, respectively.

On Windows, program settings are stored in the Registry by default. The default location of the data directory is the current user's application data (usually `C:\Documents and Settings\`user`\Application Data\WebIssues`). The default location of the cache and storage directories is the current user's local application data (usually `C:\Documents and Settings\`user`\Local Settings\Application Data\WebIssues`).

In addition WebIssues Client supports command line options common for all Qt applications. See the Qt documentation for more details.

« Compiling on Mac OS X

Copyright © 2007-2009 WebIssues Team